| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
ToneInfo Class Reference
Intercept and Treatment

Tone Treatment data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Identifies a tone. More...
xsd__int | Duration
| The length of time in milliseconds for which the tone is to be played. More...
xsd__string | DestinationName
| Destination Name. More...
xsd__string | DestinationCircuit
| Specifies the Treatment Destination Circuit name (MG_CIRCUIT_ID of the destination). More...
enum unsp__InterceptDestinationType | DestinationType
| Destination Type. More...

## Detailed Description

Tone Treatment data.

## Member Data Documentation

## ◆ DestinationCircuit

xsd__string ToneInfo::DestinationCircuit

Specifies the Treatment Destination Circuit name (MG_CIRCUIT_ID of the destination).

The Destination Circuit Name is a user-assigned alphanumeric string identifying a Media Gateway Circuit.
required: false
default value[range]: NA [1..63]

## ◆ DestinationName

xsd__string ToneInfo::DestinationName

Destination Name.

This field is optional for Tone treatments, and is mandatory for Announcement treatments.

- If 'Destination Type' equals 'MGCPMS', the 'Destination Name' is a user-assigned alphanumeric string identifying a Media Gateway.
- If 'Destination Type' equals 'DEST', the 'Destination Name' is a user-assigned alphanumeric string identifying a Destination with a 'Destination Id' of type 'MSDEST'.
- If 'Destination Type' equals 'ORIGDEST_MS', the 'Destination Name' is a user- assigned, alphanumeric string identifying an Origin Destination.

required: true
default value[range]: NA [1..63]

## ◆ DestinationType

enum unsp__InterceptDestinationType ToneInfo::DestinationType

Destination Type.

required: false
default value[range]: ICDtUnassigned

## ◆ Duration

xsd__int ToneInfo::Duration

The length of time in milliseconds for which the tone is to be played.

required: false
default value[range]: 0

## ◆ Name

xsd__string ToneInfo::Name

Identifies a tone.

required: true
default value[range]: NA [1..15]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h